# Front-end_MiniProject_React

# Introduction
We want a simple app to get events of a specific calendar, and add events to it through google calendar APIs. It is consisted of a simple page which shows a lazy loaded list of events with following description:

# event description
event name
due date
repeat

and also a floating action button in the bottom of page which opens a modal that gets the cited fields, and creates a new event (must be created in google calendar).

# Note
It is highly recommended to use Next.Js.

# Expectations
So What does matter to us?

a clean structure of codebase
clean code practices
getting familiar with state management practices & patterns
finally & most important, ability to learn (this project is primarily a test to see how you can learn the things you do not know, so don't be afraid if you don't know a subject, that is our goal)


# Tasks

1. Fork this repository
2. Estimate the develop & send it to us
3. Break and specify your tasks in project management tool
4. Learn & Develop
5. Push your code to your repository
6. Send us a pull request, we will review and get back to you
7. Enjoy
